#
# spec file for package appindex (Version 0.7)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         appindex
Summary:      freshmeat offline browser
Version:      0.7
Release:      133
Group:        Utilities/File
Copyright:    GPL
URL:          http://www.penguin.cz/~mhi/appindex/
Source:       ftp://ftp.penguin.cz:/pub/users/mhi/appindex/appindex-0.7.tar.bz2
Patch:        appindex-0.7.dif
BuildRoot:    /var/tmp/%{name}-build

%description
Freshmeat offline ncurses-based browser.

Authors:
--------
    Martin Hinner <mhi@penguin.cz>

SuSE series: n

%prep
%setup
%patch

%build
CFLAGS=$RPM_OPT_FLAGS ./configure --mandir=%{_mandir}
make

%install
rm -rf $RPM_BUILD_ROOT
make BUILDROOT=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/var/lib/appindex

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README TODO
%config(noreplace) /etc/appindex.conf
/usr/bin/appindex
/usr/bin/fetchappindex
/usr/bin/fetchlsm
/var/lib/appindex
%doc %{_mandir}/man1/appindex.1.gz

%changelog -n appindex
* Thu Oct 05 2000 - nadvornik@suse.cz
- new package
